/* connecting personal fonts to css */

@font-face {
  font-family: 'bamewpersonal_use';
  src: url('../fonts/bamew-personaluse-webfont.woff') format('woff');
  font-weight: normal;
  font-style: normal;
}

@font-face {
    font-family: 'bamewbold_personal_use';
    src: url('../fonts/bamew-boldpersonaluse-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

@font-face {
  font-family: 'bamewthin_personal_use';
  src: url('../fonts/bamew-thinpersonaluse-webfont.woff') format('woff');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'bamewthin_personal_use';
  src: url('../fonts/bamew-thinpersonaluse-webfont.woff') format('woff');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'signalbold';
  src: url('../fonts/signal-bold-webfont.woff') format('woff');
  font-weight: normal;
  font-style: normal;
}
  @font-face {
    font-family: 'signalbold';
    src: url('../fonts/signal-normal-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
  }

@font-face {
    font-family: 'signallight';
    src: url('../fonts/signal-light-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
  }

  @font-face {
    font-family: 'signalextrabold';
    src: url('../fonts/signal-extrabold-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
  }



html, body{
    height: 100%;
    font-family: 'Roboto', sans-serif;
    font-size: 17px;
    font-weight: 100;
    margin: 0px;
    padding: 0px;
  }

  /* applied same nav type to all the css */
header nav {
    display: flex;
    background-image: linear-gradient(to bottom, rgba(255, 255, 255, 0.707), rgba(255, 255, 255, 0.545),rgba(178, 181, 182, 0.75)), url('../images/heroreviews.jpg');
    background-size: cover;
    opacity: 100%;
    width: 100%;
    height: 100%;
    background-repeat: no-repeat;
    align-items: top;
    justify-content: center;
    position: top;
    background-position: center;
    font-family: 'signalextrabold', sans serif;
    font-size: 16px;
    text-align: center;
    flex-direction:row;
    justify-content: center;
  }

  header nav a {
    text-decoration: none;
    color: #6196D0;
    margin: 10px 10px 10px 10px;
  }

header nav a:hover {
    color: #FFCF51;
  }

  #logo{
    min-width: 20%;
    opacity: 100%;
    margin: 10px 10px 10px 10px;
  }


/* content */

.image-people{
  display: flex;
  background-image: url('../images/blueyellopeople.jpg');
  background-size: cover;
  width: 100%;
  height: 70%;
  background-repeat: no-repeat;
  justify-content: center;
  position: center;
  background-position: center;
  display: flex;
  border-radius: 20px;
  margin-top:3rem;
}


.share {
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  margin: 50px;
}

.secondary-image {
  flex: 1;
}

.secondary-image img {
  max-width: 100%;
  height: auto;
  border-radius: 20px;
}

.text {
  flex: 2;
  padding: 0 20px;
  font-family: 'roboto', sans-serif;
  font-size: 17px;
  font-weight: 100;
  line-height: 1.5;
}

.h1yellow {
  display: flex;
  color: #FFCF51;
  font-family: 'bamewthin_personal_use', sans-serif;
  font-size: 80px;
  text-align: center;
  justify-content: center;
  margin-bottom: 1rem;
}

.button-yellow {
  background-color: #FFCF51;
  color: black;
  border: none;
  padding: 10px 20px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  margin-top: 10px;
  cursor: pointer;
  border-radius: 5px;
  font-family: 'signalbold', sans-serif;
  font-size: 16px;
  justify-content: center;
  transition: all .2s ease-in-out;
  width: 200px;
  border-radius: 20px;
  padding: 1rem;
  margin-top: 1rem;
  line-height: 1rem;
}

.button-yellow:hover {
  transform: scale(1.1);
  box-shadow: 4px 4px 12px 0 rgba(0, 0, 0, 0.822); 
}


/* what would be a slider if java script could be applied, gave a sort of scrollable review effect to this box */
/* added flex so will turn as wellinto colum when reducing screen size */
.slider {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  text-align: center;
  margin: 50px;
  background-color: #6197d066;
  border-radius: 20px;
  border-color: #ffce518b;
  border-width: 8px;
  border-style: solid;
}

.customer-picture img {
  border-radius: 10px;
}

.customer-picture{
  flex: 1;
}

.customer-picture {
  max-width: 100%;
  height: auto;
  border-radius: 20px;
}

.review-text {
  flex: 2;
  padding: 20px;
  font-family: 'roboto', sans-serif;
  font-size: 16px;
  font-weight: 100;
  text-align: center;
  line-height: 1.5;
}

.review-title {
  display: flex;
  color: #000000;
  font-family: 'signalextrabold', sans-serif;
  font-size: 20px;
  text-align: center;
  justify-content: center;
  margin-bottom: 1rem;
  line-height: 2;
}


/* footer */
*{
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}
footer{
  background-color: #b2b5b66a;
  border-radius: 20px;
  margin-top: 1rem;
}
.footerContainer_container{
  width: 100%;
}
.socialIcons{
  display: flex;
  justify-content: center;
}
.socialIcons a{
  text-decoration: none;
  padding:  10px;
  background-color: white;
  margin: 10px;
  border-radius: 50%;
}
.socialIcons a i{
  font-size: 2em;
  color: #6197d0c5;
  opacity: 0,9;
}
/* effect on social media icon */
.socialIcons a:hover{
  background-color: #FFCF51;
  transition: 0.2s;
}
.socialIcons a:hover i{
  color: white;
  transition: 0.5s;
}
.footerNav{
  margin: 30px 0;
}
.footerNav ul{
  display: flex;
  justify-content: center;
  list-style-type: none;
}
.footerNav ul li a{
  color:rgb(0, 0, 0);
  margin: 20px;
  text-decoration: none;
  font-size: 1.3em;
  opacity: 0.7;
  transition: 0.2s;
  font-family: 'signalbold', sans-serif;
  transition: all .2s ease-in-out;

}
.footerNav ul li.yellow a:hover{
  color: #FFCF51;
  opacity: 1;
  font-size: 45px;
  transition: all 500ms;
  font-size-adjust: 20px;
}

.footerNav ul li.blue a:hover{
  color: #6197d0c5;
  opacity: 1;
  font-size: 45px;
  transition: all 500ms;
  font-size-adjust: 20px;
} 
.footerBottom{
  background-color: #6197d073;
  padding: 20px;
  text-align: center;
  border-radius: 10px;
}
.footerBottom p{
  color: #FFCF51;
  font-family: 'roboto', sans-serif;
}

.designer{
  opacity: 0.7;
  text-transform: uppercase;
  letter-spacing: 1px;
  font-weight: 400;
  margin: 0px 5px;
  font-family: 'signalbold', sans-serif;
}
@media only screen and (max-width: 768px){

  .container{
    margin: 0 2rem 1rem 2rem;
}
.thumbnail{
    flex: 1 1 calc(50% - 0.4rem);
    height: 40vh;
}
  .footerNav ul{
      flex-direction: column;
  } 
  .footerNav ul li{
      width:100%;
      text-align: center;
      margin: 10px;
  }
  .socialIcons a{
      padding: 8px;
      margin: 4px;
  }

  .menu{
    flex-direction: column;
    justify-content: center;

  }

  .menu #logo{ 
    max-width: 50%;
    align-self: center;
  }

  .image-people{
    width: 100%;
    background-position: center;
  }

  .share, .slider{
    flex-direction: column;
    justify-content: center;
    justify-content: center;
    align-items: center;
  }

  .share img, .share p{
      width: 100%;
  }

  .review-text{
    padding: 1rem;
    }

  .review-title{
    padding-top: 2rem;
    padding-left: 1rem;
    padding-right: 1rem;
    padding-bottom: 1rem;
    }

  .customer-picture img {
    width: 100%;
    height: auto;
  } 
}